<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        div {
            transition: all 5s;
        }

        div {
            width: 100%;
            height: 20vh;
            border: 2px solid black;
            margin: 20px auto;
        }

        button {
            padding: 5px;
            margin: auto 5px;
        }
    </style>
</head>

<body>
    <div>

    </div>

    <button type="button" data-color="red">Rojo</button>
    <button type="button" data-color="green">Verde</button>
    <button type="button" data-color="blue">Azul</button>
    <script src="2.js"></script>
</body>

</html>